package at.gv.egovernment.moa.spss.util;

public class QCSSCDResult {

	private boolean qc;
	private boolean qcSourceTSL;
	
	private boolean sscd;
	private boolean sscdSourceTSL;
	
	public QCSSCDResult() {
		this.qc = false;
		this.qcSourceTSL = false;
		this.sscd = false;
		this.sscdSourceTSL = false;
	}
	
	public QCSSCDResult(boolean qc, boolean qcSourceTSL, boolean sscd, boolean sscdSourceTSL) {
		this.qc = qc;
		this.qcSourceTSL = qcSourceTSL;
		this.sscd = sscd;
		this.sscdSourceTSL = sscdSourceTSL;
	}
	
	public boolean isQC() {
		return this.qc;
	}
	public boolean isQCSourceTSL() {
		return this.qcSourceTSL;
	}
	public boolean isSSCD() {
		return this.sscd;
	}
	public boolean isSSCDSourceTSL() {
		return this.sscdSourceTSL;
	}
}
