package at.gv.egovernment.moa.spss.util;

import java.security.Provider;
import java.security.Security;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class SecProviderUtils {
	
	private static final Logger logger = LoggerFactory.getLogger(SecProviderUtils.class);
	
	
	public static void dumpSecProviders(String message) {
		
		logger.info("Security Providers: {}", message);
		
		for(Provider provider : Security.getProviders()) {
			logger.info("  - {} - {}", provider.getName(), provider.getVersion());
		}
	}
}
