package at.gv.egovernment.moa.spss.server.service;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import at.gv.egovernment.moa.spss.server.transaction.DeleteableDataSource;

public class DeleteableDataSourceWrapper implements DeleteableDataSource {

	private org.apache.axis.attachments.ManagedMemoryDataSource wrapped;
	
	public DeleteableDataSourceWrapper(org.apache.axis.attachments.ManagedMemoryDataSource wrapped) {
		this.wrapped = wrapped;
	}

	@Override
	public String getContentType() {
		return this.wrapped.getContentType();
	}

	@Override
	public InputStream getInputStream() throws IOException {
		return this.wrapped.getInputStream();
	}

	@Override
	public String getName() {
		return this.wrapped.getName();
	}

	@Override
	public OutputStream getOutputStream() throws IOException {
		return this.wrapped.getOutputStream();
	}

	@Override
	public void delete() {
		this.wrapped.delete();
	}
	
	
}
