package at.gv.egovernment.moa.spss.server.webservice;

import at.gv.egiz.moasig.VerifyCMSSignatureRequest;
import at.gv.egiz.moasig.VerifyCMSSignatureResponseType;
import at.gv.egiz.moasig.VerifyPDFSignatureRequest;
import at.gv.egiz.moasig.VerifyPDFSignatureResponseType;
import at.gv.egovernment.moa.spss.MOAApplicationException;
import at.gv.egovernment.moa.spss.api.cmsverify.VerifyCMSSignatureResponse;

public interface CMSVerifySignatureBinding {
	public at.gv.egovernment.moa.spss.api.cmsverify.VerifyCMSSignatureRequest buildCMSRequest(
			VerifyCMSSignatureRequest verifyCMSSignatureRequest) throws MOAApplicationException;

	public at.gv.egovernment.moa.spss.api.cmsverify.VerifyCMSSignatureRequest buildPDFRequest(
			VerifyPDFSignatureRequest verifyPDFSignatureRequest) throws MOAApplicationException;
	
	public VerifyCMSSignatureResponseType buildCMSResponse(VerifyCMSSignatureResponse response)
			throws MOAApplicationException;
	
	public VerifyPDFSignatureResponseType buildPDFResponse(VerifyCMSSignatureResponse response)
			throws MOAApplicationException;
	
}
