package at.gv.egovernment.moa.spss.server.webservice;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

@WebService(name = "SignatureCreationService", targetNamespace = "http://reference.e-government.gv.at/namespace/moa/20151109#")
public interface SignatureCreationService {

	@WebMethod(action = "XMLSignatureCreate", operationName = "XMLSignatureCreate")
	public at.gv.egiz.moasig.CreateXMLSignatureResponseType createXMLSignature(
			@WebParam(name = "CreateXMLSignatureRequest") at.gv.egiz.moasig.CreateXMLSignatureRequest createXMLSignatureRequest)
					throws Exception;
	
	@WebMethod(action = "CMSSignatureCreate", operationName = "CMSSignatureCreate")
	public at.gv.egiz.moasig.CreateCMSSignatureResponseType createCMSSignature(
			@WebParam(name = "CreateCMSSignatureRequest") at.gv.egiz.moasig.CreateCMSSignatureRequest createCMSSignatureRequest)
					throws Exception;
	
	/*@WebMethod(action = "PDFSignatureCreate", operationName = "PDFSignatureCreate")
	public at.gv.egiz.moasig.CreatePDFSignatureResponseType createPDFSignature(
			@WebParam(name = "CreatePDFSignatureRequest") at.gv.egiz.moasig.CreatePDFSignatureRequest createPDFSignatureRequest)
					throws Exception;*/
}
