package at.gv.egovernment.moa.spss.server.xmlbind;

import java.util.ArrayList;
import java.util.List;

public class CreatePDFRequest {
	private String keyIdentifier;
	private List<PDFSignatureInfo> signatureInfoList = new ArrayList<PDFSignatureInfo>();
	
	public CreatePDFRequest(String keyIdentifier) {
		this.keyIdentifier = keyIdentifier;
	}

	public synchronized String getKeyIdentifier() {
		return keyIdentifier;
	}

	public synchronized List<PDFSignatureInfo> getSignatureInfoList() {
		return signatureInfoList;
	}
}
