package at.gv.egovernment.moa.spss.server.xmlbind;

public class PDFSignatureInfo {
	private String signatureProfile = null;
	private String signaturePosition = null;
	private String signatureID = null;
	private byte[] pdfDocument = null;
	
	public PDFSignatureInfo(byte[] pdfDocument, 
			String signatureProfile, String signaturePosition, 
			String signatureID) {
		this.pdfDocument = pdfDocument;
		this.signatureProfile = signatureProfile;
		this.signaturePosition = signaturePosition;
		this.signatureID = signatureID;
	}

	public synchronized String getSignatureProfile() {
		return signatureProfile;
	}

	public synchronized String getSignaturePosition() {
		return signaturePosition;
	}

	public synchronized String getSignatureID() {
		return signatureID;
	}

	public synchronized byte[] getPdfDocument() {
		return pdfDocument;
	}
}
