package at.gv.egovernment.moa.spss.server.xmlbind;

public class SignedPDFInfo {
	
	public static final int SUCCESS_SIGNATURE = 0;
	public static final int ERROR_RESPONSE = 1;
	
	private String signatureID = null;
	private byte[] pdfDocument = null;
	private int responseType = ERROR_RESPONSE;
	private int errorCode = 0;
	private String errorInfo = null;
	
	public SignedPDFInfo(String signatureID) {
		this.signatureID = signatureID;
	}
	
	public synchronized void setPdfDocument(byte[] pdfDocument) {
		this.pdfDocument = pdfDocument;
	}

	public synchronized String getSignatureID() {
		return signatureID;
	}

	public synchronized byte[] getPdfDocument() {
		return pdfDocument;
	}
	
	public synchronized void setResponseType(int responseType) {
		this.responseType = responseType;
	}

	public int getResponseType() {
		return this.responseType;
	}

	public synchronized int getErrorCode() {
		return errorCode;
	}

	public synchronized void setErrorCode(int errorCode) {
		this.errorCode = errorCode;
	}

	public synchronized String getErrorInfo() {
		return errorInfo;
	}

	public synchronized void setErrorInfo(String errorInfo) {
		this.errorInfo = errorInfo;
	}
}
