package at.gv.egovernment.moa.spss.server.webservice;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

@WebService(name = "SignatureVerificationService", targetNamespace = "http://reference.e-government.gv.at/namespace/moa/20151109#")
public interface SignatureVerificationService {

	@WebMethod(action = "XMLSignatureVerify", operationName = "XMLSignatureVerify")
	public at.gv.egiz.moasig.VerifyXMLSignatureResponseType verifyXMLSignature(
			@WebParam(name = "VerifyXMLSignatureRequest") at.gv.egiz.moasig.VerifyXMLSignatureRequest verifyXMLSignatureRequest)
					throws Exception;
	
	@WebMethod(action = "CMSSignatureVerify", operationName = "CMSSignatureVerify")
	public at.gv.egiz.moasig.VerifyCMSSignatureResponseType verifyCMSSignature(
			@WebParam(name = "VerifyCMSSignatureRequest") at.gv.egiz.moasig.VerifyCMSSignatureRequest verifyCMSSignatureRequest)
					throws Exception;
	
	@WebMethod(action = "PDFSignatureVerify", operationName = "PDFSignatureVerify")
	public at.gv.egiz.moasig.VerifyPDFSignatureResponseType verifyPDFSignature(
			@WebParam(name = "VerifyPDFSignatureRequest") at.gv.egiz.moasig.VerifyPDFSignatureRequest verifyPDFSignatureRequest)
					throws Exception;
	
}
